using System;

namespace Takmicenje
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] st = Console.ReadLine().Split();
            int a = int.Parse(st[0]);
            int b = int.Parse(st[1]);
            st = Console.ReadLine().Split();
            int x = int.Parse(st[0]);
            int y = int.Parse(st[1]);
            if (a == x)
            {
                if (b == y)
                {
                    Console.WriteLine("nijedan");
                }
                else
                {
                    Console.WriteLine("drugi");
                }
            }
            else
            {
                if (b == y)
                {
                    Console.WriteLine("prvi");
                }
                else
                {
                    Console.WriteLine("?");
                }
            }
        }
    }
}